base-unicode-symbols-0.2.4.2: Unicode alternatives for common functions and operators

Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Bool.Unicode

Synopsis

- (∧) :: Bool -> Bool -> Bool
- (∨) :: Bool -> Bool -> Bool
- (¬) :: Bool -> Bool
- (⊻) :: Bool -> Bool -> Bool
- (⊼) :: Bool -> Bool -> Bool
- (⊽) :: Bool -> Bool -> Bool

# Documentation

(∧) :: Bool -> Bool -> Bool infixr 3 Source #

(∧) = (`&&`)

U+2227, LOGICAL AND

(∨) :: Bool -> Bool -> Bool infixr 2 Source #

(∨) = (`||`)

U+2228, LOGICAL OR

(¬) :: Bool -> Bool Source #

(¬) = `not`

U+00AC, NOT SIGN

(⊻) :: Bool -> Bool -> Bool infixr 3 Source #

a ⊻ b = (a ∨ b) ∧ not (a ∧ b)

U+22BB, XOR

(⊼) :: Bool -> Bool -> Bool infixr 3 Source #

a ⊼ b = not (a ∧ b)

U+22bc, NAND

(⊽) :: Bool -> Bool -> Bool infixr 3 Source #

a ⊽ b = not (a ∨ b)

U+22bd, NOR